For the complete documentation index, see llms.txt. This page is also available as Markdown.

Src20 inscription

post

Creates an SRC20 inscription using the provided account name and inscription input.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account for which the inscription is being created.
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Body
  • The input data for the SRC20 inscription.
networkstringRequired

The network on which the transaction is taking place.

prev_outputsstringRequired

The operation type of the transaction.

inscription_datastringRequired

The ticker symbol of the token involved in the transaction.

commit_fee_ratenumber · doubleRequired

The amount of tokens involved in the transaction.

reveal_out_valuenumber · doubleRequired

The transaction ID of the input being used.

addressstringRequired

The output index of the input being used.

Responses
200

A promise that resolves to a BitcoinAPIResponse object containing the result of the inscription creation.

application/json
dataany ofOptional
or
or
or
successbooleanRequired
messagestringRequired
post/bitcoin/{accountName}/src20-inscription
POST /bitcoin/{accountName}/src20-inscription HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 124

{
  "network": "text",
  "prev_outputs": "text",
  "inscription_data": "text",
  "commit_fee_rate": 1,
  "reveal_out_value": 1,
  "address": "text"
}
200

A promise that resolves to a BitcoinAPIResponse object containing the result of the inscription creation.

{
  "data": {
    "signedTx": "text",
    "transaction_hash": "text"
  },
  "success": true,
  "message": "text"
}